package com.teamcenter.filemanagement;

public class test {
    public static void main(String[] args) {
        String string = "value1|value2|value3";
            String input = string;
            String[] parts = input.split("\\|");  // 实际上不需要转义
            for (String part : parts) {
                System.out.println(part);
            }
    }
}
